@echo off
rem Batch file for making a .hex file from a .c file, for KD485 - 31/7/96

if "%1."=="." goto noname
if not exist %1.c goto noc

rem Edit this for your H8 compiler binary path
set h8tools=d:\ht8360\bin\

rem Compile it
if exist %1.obj del %1.obj
%h8tools%h83c -c -w-1 -x -o -Zg9 %1.c
if errorlevel 1 goto errors

rem To make assembler (.as) file as well
%h8tools%h83c -c -w-1 -x -o -Zg9 %1.c -s

rem Create a temp linkfile, using linkfile.mkh as the template
sed -e s/"progname"/"%1"/ linkfile.mkh > %temp%linkfile.tmp

rem Link it
%h8tools%hlink < %temp%linkfile.tmp

rem Make a hex file
%h8tools%objtohex %1.lnk %1.hex

set h8tools=
del %temp%linkfile.tmp

echo file %1.hex is ready
goto end

:noname
echo Must specify name of .c file!
echo Usage: mkhex filename  (.c suffix is assumed)
goto end

:noc
echo Cannot find %1.c file!
goto end

:errors
echo Exiting mkhex.bat due to errors

:end
